@echo off
color E0
title Cyberpunk 2077 GOG Registry batch for v1.04 (Build_3217599Change_4158334)

REM Set vars
set GAMEPATH=%~dp0
set GAMEPATH=%GAMEPATH:~0,-1%
set PACKPATH=%GAMEPATH:~0,-15%

REM Check administrator privileges
net session >nul 2>&1
IF NOT %errorlevel%==0 goto ERRORADM

REM Check exe
IF NOT EXIST "%GAMEPATH%\bin\x64\Cyberpunk2077.exe" goto ERROREXE

:START
echo.
echo  Cyberpunk 2077 GOG Registry batch for v1.04
echo.
echo Path: %GAMEPATH%
echo.
echo 1. Add
echo 2. Delete
echo 3. Exit
echo.
choice /c 123 /n /m "Select: "
echo.
IF ERRORLEVEL 3 EXIT
IF ERRORLEVEL 2 goto DEL
IF ERRORLEVEL 1 goto ADD
cls
goto START

:ADD
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com" /v "DefaultPackPath" /d "%PACKPATH%" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com" /v "DesktopIcon" /d "ON" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "buildId" /d "53942626113358691" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "ver" /d "Build_3217599Change_4158334" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "lang_code" /d "en-US" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "osbit" /d "64" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "installer_language" /d "english" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "gameName" /d "Cyberpunk 2077" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "gameID" /d "1423049311" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "productID" /d "1423049311" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "language" /d "english" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "path" /d "%GAMEPATH%" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "startMenu" /d "Cyberpunk 2077" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "uninstallCommand" /d "%GAMEPATH%\unins000.exe" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "workingDir" /d "%GAMEPATH%" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "exe" /d "%GAMEPATH%\bin\x64\Cyberpunk2077.exe" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "exeFile" /d "Cyberpunk2077.exe" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "launchParam" /d "" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "launchCommand" /d "%GAMEPATH%\bin\x64\Cyberpunk2077.exe" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "startMenuLink" /d "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Cyberpunk 2077 [GOG.com]\Cyberpunk 2077" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "dependsOn" /d "" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "supportLink" /d "" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "INSTALLDATE" /d "2020-12-10 20:12:10" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "DLC" /d "" /f>nul
%SYSTEMROOT%\System32\reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /v "BUILD" /d "" /f>nul
IF ERRORLEVEL 1 goto ERROR
echo Added.
pause
exit

:DEL
%SYSTEMROOT%\System32\reg.exe delete "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\GOG.com\Games\1423049311" /f>nul
IF ERRORLEVEL 1 goto ERROR
echo Deleted.
pause
exit

:ERROR
echo Failed.
pause
cls
goto START

:ERRORADM
echo Please run as administrator privileges.
pause
exit

:ERROREXE
echo Pelase run from Cyberpunk 2077 game folder.
pause
exit
